# 

The boilerplate uses the python framework flask to run the webinterface and to generate the HTML of the book. To generate the PDF it uses the javascript library pagedjs together with the chromium webbrowser in headless mode.

# Installation

First [download](https://gitlab.constantvzw.org/anais_berck/pagedjs-flask-boilerplate/-/archive/main/pagedjs-flask-boilerplate-main.zip) it on gitlab.

Or clone the repository:

`git clone git@gitlab.constantvzw.org:anais_berck/pagedjs-flask-boilerplate.git`

This boilerplate uses Python 3 and the framework [Flask](https://palletsprojects.com/p/flask/).

Find information on how to [install python here](https://www.python.org/downloads/)

To install the requirements, move to the directory this readme is located, and then run:

`pip install -r requirements.txt`

Then install [pagedjs-cli](https://gitlab.coko.foundation/pagedjs/pagedjs-cli), with the command:

`npm install -g pagedjs-cli`

Finally edit a copy of `settings.example.py` and save it as `settings.py`.
It is important to set the `PAGEDJS_BINARY_PATH`, you should be able to find it
by running: `whereis pagedjs-cli`.

Now you should be able to start the interface with: `./run.sh`.

# Deployment

Todo

Note: this boilerplate does not make any effort at rate-limiting.